package testData

import (
	"ginapp/src/config"
	"ginapp/src/model"
)

var InterestCategoryEdgeSeedMatrices = map[string]any{
	"Collection": config.EDGE.INTEREST_CATEGORY,
	"Seed":       true,
	"Data": []interface{}{
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/a309fb6c-91dd-4838-9097-742cba2693e8",
			Key:       "a309fb6c-91dd-4838-9097-742cba2693e8",
			From:      config.COLLECTION.INTEREST + "/5f206db4-6dc2-435c-a072-be84315a4a64",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/63a551b9-13c0-4db8-8585-084b49255ecd",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/ef4ebbc6-1cc2-49e9-8a0e-95abb50d9e4e",
			Key:       "ef4ebbc6-1cc2-49e9-8a0e-95abb50d9e4e",
			From:      config.COLLECTION.INTEREST + "/d30dddc3-047e-46d8-b4ba-47b56ff40af0",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/63a551b9-13c0-4db8-8585-084b49255ecd",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/b8af217a-7803-47ce-8417-6cf35865efff",
			Key:       "b8af217a-7803-47ce-8417-6cf35865efff",
			From:      config.COLLECTION.INTEREST + "/3f5d70a9-b28e-4306-ab3d-5b6f292db5eb",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/2ee40801-9dd5-4d35-b621-0bdd66b6467b",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/b8af217a-7803-47ce-8417-6cf35865efff",
			Key:       "b8af217a-7803-47ce-8417-6cf35865efff",
			From:      config.COLLECTION.INTEREST + "/3de301e5-1bfd-4f96-b82b-c98e1de9de86",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/9f2acbf3-b96a-4aba-af02-9dcd31bb1335",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/a7d4fbea-4ec6-434e-ba63-bb0d67b656f4",
			Key:       "a7d4fbea-4ec6-434e-ba63-bb0d67b656f4",
			From:      config.COLLECTION.INTEREST + "/db9b985d-39fd-4876-a034-924c98c4704a",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/388d62df-aec4-444f-8e8c-e8d6bb9099ed",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/ef9e2afb-7178-4bca-a67e-558e31e0d922",
			Key:       "ef9e2afb-7178-4bca-a67e-558e31e0d922",
			From:      config.COLLECTION.INTEREST + "/a9abcdcb-32ad-4270-81b0-58cd6d81e8e4",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/388d62df-aec4-444f-8e8c-e8d6bb9099ed",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/874be1fe-2f7d-4e76-acba-fea0a8cc9c17",
			Key:       "874be1fe-2f7d-4e76-acba-fea0a8cc9c17",
			From:      config.COLLECTION.INTEREST + "/59928c4d-f535-4cf2-8be8-d38e95f46d66",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/1ab3a636-23f8-4d03-a191-d7e0c2ea4ec1",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/30479893-1852-4d41-a6c7-b658d7d18317",
			Key:       "30479893-1852-4d41-a6c7-b658d7d18317",
			From:      config.COLLECTION.INTEREST + "/53b66d04-6f1e-483c-a4a3-725bd44a5b2f",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/a6e738f6-7247-46fc-be36-836f60c8b3cc",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/8107dae7-e99b-4ba4-867d-1c5e7b30c138",
			Key:       "8107dae7-e99b-4ba4-867d-1c5e7b30c138",
			From:      config.COLLECTION.INTEREST + "/4df97067-f9ae-4ce6-8b7d-75233446312e",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/a6e738f6-7247-46fc-be36-836f60c8b3cc",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/0f93ba37-2a59-444b-86ab-76c3dd9f0153",
			Key:       "0f93ba37-2a59-444b-86ab-76c3dd9f0153",
			From:      config.COLLECTION.INTEREST + "/b9ac6385-f365-4fce-895e-5a56280d682f",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/6297668e-be43-4375-8835-86886cc1b174",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/3d644b62-59aa-49e6-8aaa-b94d125feb0b",
			Key:       "3d644b62-59aa-49e6-8aaa-b94d125feb0b",
			From:      config.COLLECTION.INTEREST + "/58888191-5d10-409b-afee-6e9993fac6d1",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/af278256-0a5a-4a28-a69e-e86c917605a0",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/efc670a5-a88f-48a5-9587-37981631660b",
			Key:       "efc670a5-a88f-48a5-9587-37981631660b",
			From:      config.COLLECTION.INTEREST + "/544c4af6-4a4c-47d6-93d2-e9c0eb5ae854",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/af278256-0a5a-4a28-a69e-e86c917605a0",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/b1e2b131-7c46-4089-b19b-4a02cd27f265",
			Key:       "b1e2b131-7c46-4089-b19b-4a02cd27f265",
			From:      config.COLLECTION.INTEREST + "/b356dee9-746f-49d4-a5f1-68817e247924",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/63a551b9-13c0-4db8-8585-084b49255ecd",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest_Category_Edge{
			Id:        config.EDGE.INTEREST_CATEGORY + "/bcaecb40-a7cb-4404-a9ba-39411e74a8a7",
			Key:       "bcaecb40-a7cb-4404-a9ba-39411e74a8a7",
			From:      config.COLLECTION.INTEREST + "/31e5fe5e-efd5-4c7c-97d9-858a3361169f",
			To:        config.COLLECTION.INTEREST_CATEGORY + "/a6e738f6-7247-46fc-be36-836f60c8b3cc",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
	},
}
